"use strict";

var pathToRegexp = require('path-to-regexp');
var bath = function bath(template) {
    var keys = [];
    var regexp = pathToRegexp(template, keys);
    var compiled = pathToRegexp.compile(template);
    var path = function path(params) {
        return compiled(params);
    };
    var params = function params(path) {
        var match = regexp.exec(path);
        if (!match) return undefined;
        var parsed = {};
        for (var i = 1; i < match.length; i++) {
            parsed[keys[i - 1].name] = match[i];
        }
        return parsed;
    };
    return { path: path, params: params };
};
exports.bath = bath;
var path = function path(template) {
    return bath(template).path;
};
exports.path = path;
var params = function params(template) {
    return bath(template).params;
};
exports.params = params;
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = bath;